%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname facon
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Tiny mocking library
Name: rubygem-%{gemname}
Version: 0.4.1
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/chuyeow/facon/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Patch0: expectation_spec.rb.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(bacon) 
BuildRequires: rubygems
BuildRequires(check): rubygem(hoe)
BuildRequires(check): rubygem(rspec)
BuildRequires(check): rubygem(bacon)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A mocking library in the spirit of the Bacon spec library. Small, compact, and
works with Bacon.

%package doc
Summary:           Documentation for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
mkdir -p ./%{gemdir}
gem install \
        --local \
        --install-dir .%{gemdir} \
        --force \
        --rdoc \
        -V \
%{SOURCE0}

pushd ./%{geminstdir}/spec
%patch0 -p0 


%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* \
        %{buildroot}%{gemdir}/

%clean
rm -rf %{buildroot}

%check 
cd %{buildroot}%{geminstdir}
rake spec

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/Changelog.txt
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.txt
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/Rakefile
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Tue Sep 07 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.4.1-2
- Fixes from Review
- Enabled %%check

* Fri Sep 03 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.4.1-1
- Initial package
